%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

%define name_prefix 0009-

Summary:	Standalone driver for Realtek RTL8168*/8111* network adapters
Name:		r8168
Version:	8.044.02
Release:	1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://www.realtek.com.tw/Downloads/
Source0:	%{name_prefix}%{name}-%{version}.tar.bz2
Source1:	%{name}.rpmlintrc
Source2:	%{name}.conf

# From ArchLinux
Patch0:		r8168-linux-4.11.patch

%description
This package contains the standalone driver for the following network
adapters by Realtek: RTL8168B/8111B, RTL8168C/8111C, RTL8168CP/8111CP,
RTL8168D/8111D, RTL8168DP/8111DP, and RTL8168E/8111E.

#----------------------------------------------------------------------------

%package -n dkms-%{name}
Summary:	Standalone driver for Realtek RTL8168*/8111* network adapters
Group:		System/Kernel and hardware
Requires(post,preun):	dkms

%description -n dkms-%{name}
This package contains the standalone driver for the following network
adapters by Realtek: RTL8168B/8111B, RTL8168C/8111C, RTL8168CP/8111CP,
RTL8168D/8111D, RTL8168DP/8111DP, and RTL8168E/8111E.

%files -n dkms-%{name}
%doc README
%config(noreplace) /etc/modprobe.d/%{name}.conf
%dir %{_usr}/src/%{name}-%{version}-%{release}
%{_usr}/src/%{name}-%{version}-%{release}/*

%post -n dkms-%{name}
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %{name} -v %{version}-%{release}

# Build and install the driver for all available kernels that have devel
# files, no matter how these kernels were installed (from RPMs or manually).
# Do not fail the installation of the package if the build fails for some
# kernels, this may happen during testing, etc.
for kk in /lib/modules/*; do
	kk=$(echo $kk | sed 's/^\/lib\/modules\///');
	if test -d "/lib/modules/$kk/build"; then
		/usr/sbin/dkms --rpm_safe_upgrade build -m %{name} -v %{version}-%{release} -k $kk &&
		/usr/sbin/dkms --rpm_safe_upgrade install -m %{name} -v %{version}-%{release} -k $kk || true
	else
		echo "WARNING: No development files for kernel \"$kk\"" > /dev/stderr;
	fi;
done

%preun -n dkms-%{name}
# rmmod can fail (e.g. if the module is not loaded), but it should not stop
# deinstallation.
/sbin/rmmod %{name} >/dev/null 2>&1 || true
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{name} -v %{version}-%{release} --all || true

#----------------------------------------------------------------------------

%prep
%setup -q
chmod -x src/* Makefile README
%apply_patches

%build

%install
install -m755 -d %{buildroot}/etc/modprobe.d/
install -m644 %{SOURCE2} %{buildroot}/etc/modprobe.d

# install dkms sources
mkdir -p %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}
install -m644 src/*.c src/*.h src/Makefile %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/
cat > %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/dkms.conf << EOF
MAKE="make -C \$kernel_source_dir M=\\\$(pwd) modules"
CLEAN="make -C \$kernel_source_dir M=\\\$(pwd) clean"
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}-%{release}
DEST_MODULE_LOCATION=/kernel/3rdparty/%{name}
BUILT_MODULE_NAME=%{name}
AUTOINSTALL=yes
EOF


%changelog

* Wed Jun 21 2017 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 8.044.02-1
- (a1e517c) Added a patch from ArchLinux to support kernel 4.11.x


